#!/usr/bin/env python3
from math import sqrt, sin, cos, tan, asin, acos, atan, pi


def main(args):
    # Lese falls vorhanden das erste Argument ein. Sonst setzten wir
    # einen Defaultwert.
    print(args[0])
    try:
        n = int(args[1])
    except (IndexError, ValueError):
        n = 20
    alpha = 0  # Winkel der ganzen Spirale in Rad

    # Wir gehen jedes Dreieck durch und lassen alpha grösser werden.
    for i in range(1, n):

        # Hier musst du das Programm anpassen.
        g = 30*i  # Gegenkathete
        a = 40*i  # Ankatete
        h = sqrt(g**2+a**2)*i  # Hypothenuse
        beta = asin(g/h)
        print('arcossin =', asin(g/h))

        # Ab hier geht es mit dem Algorithmus weiter:
        alpha += beta
        print(f"Nach {i} Dreiecken beträgt alpha {alpha}.")
        print(f"Dies sind {alpha/pi*180}°.")
    return 0


if __name__ == '__main__':
    import sys
    sys.exit(main(sys.argv))
